Bug 475993 - "rpm -qi" doesn't show architecture
"rpm -qi" doesn't show architecture
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 08:55 EST by Horst H. von Brand
Modified: 2010-06-29 06:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 06:09:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-12-11 08:55:00 EST
Description of problem:
Asking for information on a package doesn't say what architecture(s) they are.
For instance, here (x86_64) "rpm -qi glibc" shows me information twice (for x86_64 and i386), but there is no way of distinguising among them.

Version-Release number of selected component (if applicable):
rpm-4.6.0-0.rc3.1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. rpm -qi packagename
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Johnson 2008-12-11 10:45:56 EST
Retrofit displaying arch in default query format by
putting this macro into into /etc/rpm/macros:

#
# Default headerSprintf() output format string for rpm -qa
#
# XXX   Note: escaped %% for use in headerSprintf()
%_query_all_fmt         %%{name}-%%{version}-%%{release}%%|arch?{.%%{arch}}:{}|

Yes its is already the default in rpm.

Append ".x86_64" or ".i386" to the query/verify args to distinguish.
Comment 2 Horst H. von Brand 2008-12-11 14:21:27 EST
Yes, I know how to ask for one or the other package. What I want is to be able to ask:

   $ rpm -qi some-package-name

and being told not only size and installation date and ... but also the architecture of the package. This is basic information about the package, so when asking for information I should get it.

Could be important when asking say:

   $ rpm -qif /some/misterious/file

(but then again, if that file is shared by packages for e.g. i386 and x86_64...)
Comment 3 Jeff Johnson 2008-12-11 14:38:02 EST
k.

This is configurable, add an Architecture: field to /usr/lib/rpm/rpmpopt*. Not hard.

It likely should not be changed in --info however, there is definite risk of
breaking user scripts, and its not clear (to me) the gain is worth the pain.
But I'm sure Panu will do as he pleases.
Comment 4 Bug Zapper 2009-06-09 06:14:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Panu Matilainen 2010-06-29 06:09:16 EDT
This has been fixed upstream (see bug 575499) but there's no plan to backport it to existing releases as the -qi format has been completely changed. Fedora will get it through the next rpm major version, presumably in Fedora 15.

Note You need to log in before you can comment on or make changes to this bug.